Table of Contents

Class: HTTPClient | Twisted-0.17.4/twisted/protocols/http.py
--- | ---

A client for HTTP

Base Classes |
--- | ---
basic.LineReceiver

Methods |
--- | ---
connectionLost connectionMade endHeaders lineReceived rawDataReceived sendCommand sendHeader
| connectionLost

    connectionLost ( self )

| connectionMade

    connectionMade ( self )

| endHeaders

    endHeaders ( self )

| lineReceived

    lineReceived ( self,  line )

| rawDataReceived

    rawDataReceived ( self,  data )

| sendCommand

    sendCommand (
            self,
            command,
            path,
            )

| sendHeader

    sendHeader (
            self,
            name,
            value,
            )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:04 2002 by HappyDoc version 2.0